<html><head><META http-equiv="Content-Type" content="text/html; charset=UTF-8"><link type="text/css" href="../../../../..//default_style.css" rel="stylesheet"><link type="text/css" href="../../../../..//webtools/wtp.css" rel="stylesheet"><title>wtp milestone 4 test plan</title></head><body><table border="0" cellpadding="2" cellspacing="5" width="100%"><tbody><tr><td align="left" width="60%"><font class="indextop">XML Editor M4 test plan</font><br><font class="indexsub">wtp milestone 4 test plan</font></td><td width="40%"><img src="../../../../..//webtools/images/wtplogosmall.jpg" align="middle" height="129" hspace="50" width="207" alt="WTP Logo" usemap="logomap"><map id="logomap" name="logomap"><area coords="0,0,207,129" href="/webtools/" alt="WTP Home"></map></td></tr></tbody></table><table border="0" cellpadding="2" cellspacing="5" width="100%"><col width="16"><col width="*"><tbody><tr><td colspan="2" align="left" bgcolor="#0080c0" valign="top"><b><font color="#ffffff" face="Arial,Helvetica">Status of this Document</font></b></td></tr><tr><td align="right" valign="top">
                &nbsp;
            </td><td valign="top"><p>
			This is the test plan for the XML Editor for the Milestone 4
			release. Last updated on 04/15/2005.
		</p></td></tr><tr><td colspan="2" align="left" bgcolor="#0080c0" valign="top"><b><font color="#ffffff" face="Arial,Helvetica">Overall goals</font></b></td></tr><tr><td align="right" valign="top"><img src="../../../../..//images/Adarrow.gif" border="0" height="16" width="16"></td><td>Co-developer Testing</td></tr><tr><td align="right" valign="top">
                &nbsp;
            </td><td valign="top"><p>
			We will inspect "runtime" version of build to be
			sure extra source is not included, and more important, we'll
			inspect and test importing SDK version to be sure all
			relevant "open source" is included in that SDK
			build and that it correctly imports into a development
			environment.
		</p></td></tr><tr><td align="right" valign="top"><img src="../../../../..//images/Adarrow.gif" border="0" height="16" width="16"></td><td>API Testing</td></tr><tr><td align="right" valign="top">
                &nbsp;
            </td><td valign="top"><p>
			Here in M4 we don't consider we have any official API yet
			(since not spec'd as such) but will reserve this space for
			future plans to details were API Unit tests are, their
			coverage, etc.
		</p></td></tr><tr><td align="right" valign="top"><img src="../../../../..//images/Adarrow.gif" border="0" height="16" width="16"></td><td>End User Testing</td></tr><tr><td align="right" valign="top">
                &nbsp;
            </td><td valign="top"><p>
			Our primary goal in M4 End-User Testing is to ensure basic
			functions work. Specifically, we want to confirm that the
			user is able to add, modify and delete catalog entries.
		</p></td></tr><tr><td align="right" valign="top">
                &nbsp;
            </td><td valign="top"><p>
			I might also point out that the nature of the end-user
			testing is intentionally planned to be "ad hoc" instead of
			specifying step by step "how to" directions and specific
			"expected results" sections often seen in test cases. This
			is done because its felt leads to greater number of "paths"
			being tested, and allows end-users more motivation for
			logging "bugs" if things didn't work as
			<i>they</i>
			expected, even if it is working as designed.
		</p></td></tr><tr><td align="right" valign="top">
                &nbsp;
            </td><td valign="top"><p>
			As we progress through milestones, we'll add more and more
			detail for special cases, special files, special projects,
			etc.When we do have special or sample test files and
			projects, we will keep those stored in CVS, as projects
			under a
			<i>testdata</i>
			directory under the
			<i>development</i>
			directory of relevant component so that testers (from
			immediate team, or community) can easily check out into the
			environment being tested.
		</p></td></tr><tr><td align="right" valign="top"><img src="../../../../..//images/Adarrow.gif" border="0" height="16" width="16"></td><td>Platform Testing</td></tr><tr><td align="right" valign="top">
                &nbsp;
            </td><td valign="top"><p>
			While we do not have any platform specific code, or
			function, we will have some team members do end-user tests
			on Linux, some on Windows. We will also confirm unit tests
			pass on both platforms.
		</p></td></tr><tr><td align="right" valign="top"><img src="../../../../..//images/Adarrow.gif" border="0" height="16" width="16"></td><td>Performance Testing</td></tr><tr><td align="right" valign="top">
                &nbsp;
            </td><td valign="top"><p>
			We do not have any specific performance testing planned for
			M4, but will add automated performance tests along the lines
			of the Eclipse base performance unit tests in future
			milestones.
		</p></td></tr><tr><td colspan="2" align="left" bgcolor="#0080c0" valign="top"><b><font color="#ffffff" face="Arial,Helvetica">Tests</font></b></td></tr><tr><td align="right" valign="top">
                &nbsp;
            </td><td valign="top"><B>General Scenario</B></td></tr><tr><td align="right" valign="top">
                &nbsp;
            </td><td valign="top"><UL>
			<LI>
				Validate an invalid document and ensure problems are
				shown as annotations in the editor's source ruler and
				margin
			</LI>

			<LI>
				Check that error messages are listed in the problems
				view
			</LI>
			<LI>Check that navigation works for error markers</LI>
			<LI>Check that line numbers match error markers</LI>
			<LI>
				Correct errors and revalidate and ensure all markers and
				messages are removed
			</LI>
			<LI>
				Ensure popup message dialog appear with the correct
				validation message
			</LI>
		</UL></td></tr><tr><td align="right" valign="top">
                &nbsp;
            </td><td valign="top"><B>XML Catalog</B></td></tr><tr><td align="right" valign="top">
                &nbsp;
            </td><td valign="top"><UL>
			<LI>Test that validation works with the XML Catalog</LI>
		</UL></td></tr><tr><td align="right" valign="top">
                &nbsp;
            </td><td valign="top"><B>Referenced Files</B></td></tr><tr><td align="right" valign="top">
                &nbsp;
            </td><td valign="top"><UL>
			<LI>Test errors in referenced files</LI>
			<LI>
				good xml, bad xsd. ie. XSD errors should not show in XML
				resource. There should be however one message to
				indicate that there are errors in the referenced file
			</LI>
			<LI>Test similarly also for good xml, bad dtd</LI>
		</UL></td></tr><tr><td align="right" valign="top">
                &nbsp;
            </td><td valign="top"><B>Validation Preferences</B></td></tr><tr><td align="right" valign="top">
                &nbsp;
            </td><td valign="top"><UL>
			<LI>Test validate on file save</LI>
			<LI>Turn it on and off</LI>
			<LI>Test global vs project settings</LI>
			<LI>Test maximum number of messages</LI>
		</UL></td></tr><tr><td align="right" valign="top">
                &nbsp;
            </td><td valign="top"><H4>XML Examples</H4></td></tr><tr><td align="right" valign="top">
                &nbsp;
            </td><td valign="top"><UL>
			<LI>
				Create the Editing and validating XML files Examples
			</LI>
			<LI>
				Verify that the sample files are created in the
				designated folder
			</LI>
		</UL></td></tr><tr><td align="right" valign="top">
                &nbsp;
            </td><td valign="top"><B>XML Tutorials</B></td></tr><tr><td align="right" valign="top">
                &nbsp;
            </td><td valign="top"><UL>
			<LI>Excercise XML Catalog tutorial</LI>
			<LI>Excercise XML Validation tutorial</LI>
			<LI>Excersice Creating XML Documents tutorial</LI>
		</UL></td></tr></tbody></table></body></html>